<?php

namespace App\Models\Students;

use Illuminate\Database\Eloquent\SoftDeletingTrait;

class Student extends Eloquent {

	protected $table = 'students';
	public $timestamps = true;

	use SoftDeletingTrait;

	protected $dates = ['deleted_at'];

	public function getAttendances()
	{
		return $this->hasMany('App\Models\Students\Attandance');
	}

	public function getKeywords()
	{
		return $this->belongsToMany('App\Models\Keywords\Keyword', 'att_keyword', 'student_id', 'keyword_id');
	}

	public function getGroups()
	{
		return $this->belongsToMany('App\Models\Students\Group', 'student_group')->withPivot('access','usage');
	}

	public function getOwnedGroups()
	{
		return $this->hasMany('App\Models\Students\Group', 'owner_student_id');
	}

}